package com.fjhx.purchase.service.invoice;

import com.fjhx.purchase.entity.invoice.po.Invoice;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.invoice.vo.InvoiceVo;
import com.fjhx.purchase.entity.invoice.dto.InvoiceSelectDto;
import com.fjhx.purchase.entity.invoice.dto.InvoiceDto;


/**
 * <p>
 * 发票管理 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-12
 */
public interface InvoiceService extends BaseService<Invoice> {

    /**
     * 发票管理分页
     */
    Page<InvoiceVo> getPage(InvoiceSelectDto dto);

    /**
     * 发票管理明细
     */
    InvoiceVo detail(Long id);

    /**
     * 发票管理新增
     */
    void add(Invoice invoice);

    /**
     * 发票管理编辑
     */
    void edit(Invoice invoice);

    /**
     * 发票管理删除
     */
    void delete(Long id);

}
